
QGIS Application - Bug report #16849

focusing on label item in composer high CPU and properties dock size changing constantly

2017-07-11 03:25 PM - Regis Haubourg

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24748

Description

Hi, strange issue, just create a simple item with text in a composer, 

and its "item" properties dialog width keep getting larger, and CPU consumption raising. 

Unfocusing stops this, refocusing triggers it again. 

see video here: https://youtu.be/tJJ7FpoETsU

Associated revisions

Revision 082dafe2 - 2017-08-02 04:46 PM - Nyall Dawson

Fix infinitely growing widgets

Fixes #16849

History

#1 - 2017-07-11 03:27 PM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Regis, if is not a regression or does not causes a crash or data corruption we should tag this with "normal" priority. Agree?

#2 - 2017-07-11 03:45 PM - Regis Haubourg

- Crashes QGIS or corrupts data changed from No to Yes

Well, I could have flagged a crash yes, because I think the infinite loop will end this way if you wait long enough :)

#3 - 2017-07-12 12:52 AM - Nyall Dawson

Regis -

possible suspects here are commit:eb8f91a55677b2e9118210871ab27ca847364ec2, commit:0802586a13e5f21238daf223d5d5d754bce23c7f and

commit:0b9fb5d6e199e4a52820b4d74a392196f459cad5

Can you checkout the commits just before each of these and see if you can narrow this issue down to one of those?

#4 - 2017-07-27 03:47 PM - Giovanni Manghi
https://youtu.be/tJJ7FpoETsU


Hi Regis! were you able to test Nyall suggestion?

#5 - 2017-08-02 05:05 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|082dafe22d5dd98ddb5abb2c18a96c29dbe56355.
